## pykwalify 1.7.0

=== Makefile ===
help:
	@echo "Please use 'make <target>' where <target> is one of"
	@echo "  clean           remove temporary files created by build tools"
	@echo "  cleanegg        remove temporary files created by build tools"
	@echo "  cleanpy         remove temporary python files"
	@echo "  cleancov        remove files used and generated by coverage tools"
	@echo "  cleanall        all the above + tmp files from development tools (Not cleantox)"
	@echo "  cleantox        remove files created by tox"
	@echo "  test            run test suite"
	@echo "  sdist           make a source distribution"
	@echo "  install         install package"

clean:
	-rm -f MANIFEST
	-rm -rf dist/
	-rm -rf build/

cleantox:
	-rm -rf .tox/

cleancov:
	coverage combine
	coverage erase
	-rm -rf htmlcov/

cleanegg:
	-rm -rf pykwalify.egg-info/

cleanpy:
	-find . -type f -name "*~" -exec rm -f "{}" \;
	-find . -type f -name "*.orig" -exec rm -f "{}" \;
	-find . -type f -name "*.rej" -exec rm -f "{}" \;
	-find . -type f -name "*.pyc" -exec rm -f "{}" \;
	-find . -type f -name "*.parse-index" -exec rm -f "{}" \;
	-find . -type d -name "__pycache__" -exec rm -rf "{}" \;

cleanall: clean cleanegg cleanpy cleancov

test:
	coverage erase
	coverage run --source pykwalify/ -m python py.test

sdist:
	python setup.py sdist

install:
	python setup.py install

=== requirements.txt ===
docopt>=0.6.2
PyYAML>=3.11
python-dateutil>=2.4.2

=== debian/changelog ===
pykwalify (1.7.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Johan Fleury ]
  * Import upstream patch to fix tests suite (Closes: #950638):
    - Fix broken test where errors data was wrong and duplicated.

  [ Andrej Shadura ]
  * Bump debhelper from old 11 to 12.
  * Bump Standards-Version to 4.5.0 (no changes).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 14 Feb 2020 15:11:40 +0100

pykwalify (1.7.0-2) unstable; urgency=medium

  * Set LC_ALL to C.UTF-8 to make tests more reproducible
    (Closes: #910962).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 14 Oct 2018 08:58:17 +0300

pykwalify (1.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #910557).

 -- Johan Fleury <jfleury@arcaik.net>  Tue, 09 Oct 2018 22:52:59 +0200

=== debian/control ===
Source: pykwalify
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Johan Fleury <jfleury@arcaik.net>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-dateutil,
 python3-docopt,
 python3-pytest,
 python3-ruamel.yaml,
 python3-testfixtures
Standards-Version: 4.5.0
Homepage: https://github.com/grokzen/pykwalify
X-Python3-Version: >= 3.6
Vcs-Git: https://salsa.debian.org/python-team/modules/pykwalify.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pykwalify

Package: python3-pykwalify
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-ruamel.yaml
Description: Python YAML/JSON schema validation library (Python 3)
 PyKwalify is a open source port of the kwalify lib and specification.
 .
 PyKwalify allows validating YAML or JSON data against a schema
 described in YAML or JSON format.
 .
 This package installs the library for Python 3.

Package: pykwalify
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pykwalify
Description: Python YAML/JSON schema validation library (command line program)
 PyKwalify is a open source port of the kwalify lib and specification.
 .
 PyKwalify allows validating YAML or JSON data against a schema
 described in YAML or JSON format.
 .
 This package installs the command line program.

## pykwalify 1.8.0

=== requirements.txt ===
docopt>=0.6.2
ruamel.yaml>=0.16.0
python-dateutil>=2.8.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pykwalify.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pykwalify.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pykwalify"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pykwalify"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
pykwalify (1.8.0-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix tests for ruamel yaml >=0.18 (Closes: #1069386)
  * Add missing dependencies (Closes: #1061403)

 -- Jakob Haufe <sur5r@debian.org>  Mon, 24 Mar 2025 15:25:40 +0100

pykwalify (1.8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Contact.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 16:21:23 +0000

pykwalify (1.8.0-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Bump dependencies.
  * Bump debhelper from old 12 to 13.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + pykwalify: Add Multi-Arch: same.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 04 Jan 2021 09:37:22 +0100

=== debian/control ===
Source: pykwalify
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Johan Fleury <jfleury@arcaik.net>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
Build-Depends-Indep: python3,
                     python3-dateutil <!nocheck>,
                     python3-docopt <!nocheck>,
                     python3-pytest <!nocheck>,
                     python3-ruamel.yaml <!nocheck>,
                     python3-testfixtures <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/grokzen/pykwalify
X-Python3-Version: >= 3.6
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/pykwalify.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pykwalify

Package: python3-pykwalify
Architecture: all
Depends: python3-dateutil,
         python3-ruamel.yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: Python YAML/JSON schema validation library (Python 3)
 PyKwalify is a open source port of the kwalify lib and specification.
 .
 PyKwalify allows validating YAML or JSON data against a schema
 described in YAML or JSON format.
 .
 This package installs the library for Python 3.

Package: pykwalify
Section: utils
Architecture: all
Depends: python3-docopt,
         python3-pykwalify,
         ${misc:Depends},
         ${python3:Depends},
Description: Python YAML/JSON schema validation library (command line program)
 PyKwalify is a open source port of the kwalify lib and specification.
 .
 PyKwalify allows validating YAML or JSON data against a schema
 described in YAML or JSON format.
 .
 This package installs the command line program.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export LC_ALL = C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild --no-guessing-deps

override_dh_clean:
	dh_clean
	rm -rf .pytest_cache pykwalify.egg-info
